## Struct wsdl_creator

zeep::xml::wsdl_creator — wsdl_creator is used by zeep::dispatcher to create WSDL files.

## Synopsis

    // In header: </home/maarten/projects/libzeep/zeep/xml/serialize.hpp>

    struct wsdl_creator {
      // construct/copy/destruct
      wsdl_creator(type_map &, element *, bool = true);

      // public member functions
      template<typename T>
        wsdl_creator & operator&(const boost::serialization::nvp< T > &);

      // public data members
      element * m_node;
      type_map & m_types;
      bool m_make_node;
    };

## Description

### `wsdl_creator` public construct/copy/destruct

1.     wsdl_creator(type_map & types, element * node, bool make_node = true);

### `wsdl_creator` public member functions

1.     template<typename T>
         wsdl_creator & operator&(const boost::serialization::nvp< T > & rhs);